Results 1 to 2 of 2

Thread: Integrity Report Errors when upgrading

Hybrid View

  1. #1
    Join Date
    Sep 2005
    Location
    Buffalo, NY
    Posts
    65
    Rep Power
    10

    Exclamation Integrity Report Errors when upgrading

    As you may have gathered from my other recent posts,
    I'm currently testing the path from 3.0.1_GA->4.0.1->4.5.6->5.0.1,
    as per the answer given me in the forums here.

    Having upgraded from 3.0.1_GA ->4.0.1->4.5.6, stopping after each step to
    make sure I could login to both email accounts and to admin interface, went mostly smooth so far. (except that my Certificates were expired in 3.0.1 before I started and that screwed up install of Documents in 4.0.1. FIXED)
    (Going from 4.0.1 to 4.5.6 went smooth)

    NOW Installing 5.0.1 on top of 4.5.6, installer runs zmdbintegrityreport:
    Code:
    Do you want to verify message store database integrity? [Y] Y
    ...
    Database errors found.
    /opt/zimbra/mysql/bin/mysqlcheck --defaults-file=/opt/zimbra/conf/my.cnf -s /opt/zimbra/db/mysql.sock -A -C -s -u -root --password= --auto-repair
    mysql.help_category
    error       : Table upgrade required.  Please do "REPAIR_TABKE `help_category`" to fix it!
    mysql.help_keyword
    error       : Table upgrade required.  Please do "REPAIR_TABKE `help_keyword`" to fix it!
    mysql.help_topic
    error       : Table upgrade required.  Please do "REPAIR_TABKE `help_topic`" to fix it!
    mysql.help_category
    error       : Table upgrade required.  Please do "REPAIR_TABKE `help_category`" to fix it!
    mysql.user
    error       : Table upgrade required.  Please do "REPAIR_TABKE `user`" to fix it!
    mysql.config
    error       : Table upgrade required.  Please do "REPAIR_TABKE `config`" to fix it!
    mysql.mailbox_metadata
    error       : Table upgrade required.  Please do "REPAIR_TABKE `mailbox_metadata`" to fix it!
    mysql.out_of_office
    error       : Table upgrade required.  Please do "REPAIR_TABKE `out_of_office`" to fix it!
    mysql.service_status
    error       : Table upgrade required.  Please do "REPAIR_TABKE `service_status`" to fix it!
    mysql.table_maintenance
    error       : Table upgrade required.  Please do "REPAIR_TABKE `table_maintenance`" to fix it!
    mysql.volume
    error       : Table upgrade required.  Please do "REPAIR_TABKE `volume`" to fix it!
    QUESTIONS:
    1.Will the install fix this for me or Should I stop the install and Repair this before continuing the install of 5.0.1?
    2.What version did zmdbintegrityreport start in?
    (I'm want to go back and see if the damage was present in 3.0.1 store... that is still running on my production server, and address it earlier in the upgrade path if possible)
    Last edited by gfdos.sys; 01-24-2008 at 08:32 AM. Reason: Added error messages from install

  2. #2
    Join Date
    Nov 2005
    Location
    London, ON
    Posts
    255
    Rep Power
    10

    Default

    The installer should repair the tables automatically, but if you want good measure stop after this step and rerun the installer and it will check again, it shouldn't come back with any errors this time.

    Intergrity Report started I believe in 4.5.7. But if you want to check the database in any version use the mysqlcheck binary.

    zmdbintegrityreport is just a script calling a binary so you can check it out to see the syntax Zimbra uses.

Similar Threads

  1. Data Integrity check report Blank?
    By sel5150 in forum Installation
    Replies: 6
    Last Post: 04-04-2008, 11:51 AM
  2. Database Integrity check report contains nothing
    By dljordaneku in forum Administrators
    Replies: 4
    Last Post: 12-17-2007, 11:28 AM
  3. Database Integrity check report: Errors found
    By mcevoys in forum Administrators
    Replies: 8
    Last Post: 12-07-2007, 08:26 AM
  4. Problem with zmdbintegrityreport
    By glitch23 in forum Administrators
    Replies: 12
    Last Post: 07-16-2007, 10:56 PM
  5. Upgrading to 3.1.3 errors sumary
    By kowell in forum Administrators
    Replies: 8
    Last Post: 06-25-2006, 01:11 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •